Get Journal

Get Journal
Retrieves notifications

Retrieves notification messages. For example, you can use this API to check if there are errors in the Usage Meter appliance (with a query param level=Err).

Request
URI
GET
https://umip/api/v1/um_journal
COPY
Query Parameters
productType
Optional

The product type to retrieve messages for

level
Optional

The log level of the messages

integer
productId
Optional
Constraints: minimum: 1

The product ID to retrieve messages for, obtained from Add /product API response

integer
timeStart
Optional

Only include messages with timestamp greater than or equal to this one (in unix milliseconds)

integer
timeEnd
Optional

Only include messages with timestamp less than or equal to this one (in unix milliseconds)


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns JournalResponse of type(s) application/json
[
    {
        "code": "NSXV_COL_SUCCESS",
        "productId": 5,
        "data": "",
        "level": "Info",
        "journalId": 88,
        "time": 1590613290448,
        "message": "Successful collection",
        "productType": "NSX-V",
        "group": "NSXV_COL"
    },
    {
        "code": "COLLECT_OK",
        "productId": 19,
        "data": "",
        "level": "Info",
        "journalId": 109,
        "time": 1590627684716,
        "message": "Successful collection",
        "productType": "VCD",
        "group": "VCD"
    }
]
array of object
Optional

401

Provided access token is missing or invalid.

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/v1/um_journal